Subject: Re: linux-next: bad commit in the sunxi tree

From: Maxime Ripard <[email-masked]>
Date: Thu, 27 Oct 2016 22:41:37 +0200

Hi Stephen,

On Thu, Oct 27, 2016 at 10:42:25AM +1100, Stephen Rothwell wrote:
> Hi Maxime,
> 
> On Tue, 25 Oct 2016 11:44:09 +0200 Maxime Ripard <[email-masked]> wrote:
> >
> > On Tue, Oct 25, 2016 at 09:22:55AM +1100, Stephen Rothwell wrote:
> > > Hi Maxime,
> > > 
> > > In today's sunxi tree
> > > (git://git.kernel.org/pub/scm/linux/kernel/git/mripard/linux.git#sunxi/for-next)
> > > I noticed that commit
> > > 
> > >   3861b711f8b5 ("ARM: sun5i: chip: add a node for the w1 gpio controller")
> > > 
> > > has no Signed-off-by from its committer.  
> > 
> > Thanks, this has been fixed.
> > 
> > Just out of curiosity, what command do you run to catch this?
> 
> None :-)  I look at the differences in each tree as I fetch it and
> just happen to notice some of these sometimes.  I should have a git
> hook to check that there is a Signed-off-by for the author and
> committer, but I would have to invest some time to figure out how :-)

Ok, that's actually the real question I had in mind, if you had a hook
I could use in order to avoid that kind of things in the future :)

I guess I have a new item on my todo list.

Thanks,
Maxime

-- 
Maxime Ripard, Free Electrons
Embedded Linux and Kernel engineering
http://free-electrons.com